On Thu, May 12, 2011 at 10:39 AM, Martin Hansen <mail / maasha.dk> wrote:
>> What versions of debian/ubuntu/redhat?
>
> Ubuntu 10.04.2 LTS
> uname -a
> Linux bixeonws 2.6.32-31-server #61-Ubuntu SMP Fri Apr 8 19:44:42 UTC
> 2011 x86_64 GNU/Linux
>
> Debian 5.0.8
> uname -a
> Linux maxwell 2.6.31.5 #1 SMP Fri Nov 6 17:07:54 CET 2009 x86_64
> GNU/Linux

x86_64, all of ruby and ssl and ssl-dev are x86_64?

>> Debian package: apt-get install libopenssl-ruby1.9
>
> I tested with the precompiled libopenssl-ruby1.9.1 and the precompiled
> ruby1.9.1 from Ubuntu. Still no Digest::Base.

http://packages.ubuntu.com/lucid/amd64/libopenssl-ruby1.9.1/filelist

On a 32-bit Ubuntu 11.04 (all I have handy right now):

$ ldd /usr/lib/ruby/1.9.1/i686-linux/openssl.so
	linux-gate.so.1 =>  (0x007d1000)
	libruby-1.9.1.so.1.9 => /usr/lib/libruby-1.9.1.so.1.9 (0x00a6b000)
	libssl.so.0.9.8 => /lib/libssl.so.0.9.8 (0x004f1000)
	libcrypto.so.0.9.8 => /lib/libcrypto.so.0.9.8 (0x00e52000)
	libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0x00619000)
	librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0x00110000)
	libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0x00e01000)
	libcrypt.so.1 => /lib/i386-linux-gnu/libcrypt.so.1 (0x00367000)
	libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0x00119000)
	libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0x0013f000)
	/lib/ld-linux.so.2 (0x0066b000)
	libz.so.1 => /lib/i386-linux-gnu/libz.so.1 (0x005de000)